import Vue from 'vue'

import ajaxService from './ajax.service.js'
import CommonService from './common.service'
import LocateService from './locate.service'
import UserService from './user.service'
import ProductService from './product.service'
import ShopService from './shop.service'
import PayService from './pay.service'
import PhotoService from './photo.service'
import SellerService from './sellse.service'
import ActivityService from './activity.service'
import OrderService from './order.service'
import SecondService from './second.service'
import PublicService from './public.service.js'
import OtherService from './other.service.js'
import UploadService from './upload.service.js'
import BeautyArchive from './beautyArchive.service.js'

let commonService = new CommonService(ajaxService)
let locateService = new LocateService(ajaxService)
let userService = new UserService(ajaxService)
let productService = new ProductService(ajaxService)
let shopService = new ShopService(ajaxService)
let payService = new PayService(ajaxService)
let photoService = new PhotoService(ajaxService)
let sellerService = new SellerService(ajaxService)
let activityService = new ActivityService(ajaxService)
let orderService = new OrderService(ajaxService)
let secondService = new SecondService(ajaxService)
let publicService = new PublicService(ajaxService)
let otherService = new OtherService(ajaxService)
let uploadService = new UploadService(ajaxService)
let beautyArchive = new BeautyArchive(ajaxService)

Vue.prototype.AjaxService = ajaxService
Vue.prototype.CommonService = commonService
Vue.prototype.LocateService = locateService
Vue.prototype.UserService = userService
Vue.prototype.ProductService = productService
Vue.prototype.ShopService = shopService
Vue.prototype.PayService = payService
Vue.prototype.PhotoService = photoService
Vue.prototype.SellerService = sellerService
Vue.prototype.ActivityService = activityService
Vue.prototype.OrderService = orderService
Vue.prototype.SecondService = secondService
Vue.prototype.PublicService = publicService
Vue.prototype.OtherService = otherService
Vue.prototype.UploadService = uploadService
Vue.prototype.BeautyArchive = beautyArchive